#ifndef TOPSCREEN_H_
#define TOPSCREEN_H_
#include "board.h"
#include "search.h"
#include "clock.h"
#include "move_do.h"

#define TEXT_COLOR (RGB15(0,0,0)|(1<<15))
#define BGCOLOR (RGB15(31,31,31)|(1<<15))
#define LIGHTGRAY (RGB15(25,25,25)|(1<<15))

extern void refreshScreen (const bool repaint, const bool newMove, const int player, const bool isDebug,
		board_t *inputboard, ChessClock *clockW, ChessClock *clockB, const search_best_t *SearchBest, 
		const int *moves, const undo_t *undos);

extern void refreshScreen2 (bool repaint, const bool newMove, const int player, const bool isDebug,
		board_t *inputboard, ChessClock *clockW, ChessClock *clockB, const search_best_t *SearchBest, 
		const int *moves, const undo_t *undos);

#endif /*TOPSCREEN_H_*/
