#ifndef FONTS_H_
#define FONTS_H_

#define FONTHEIGHT 10
#define BIGFONTHEIGHT 11

/**
 * In all these functions GFX is either BG_GFX or BG_GFX_SUB
 */
void printChar (uint16* GFX, int x, int y, char c, unsigned int color);
void printString(uint16* GFX, int x, int y, const char * str, unsigned int color, bool clear=true);
void printBigChar (uint16* GFX, int x, int y, char c, unsigned int color);
void printBigString(uint16* GFX, int x, int y, const char * str, unsigned int color);
void printBigCenterString (uint16* GFX, int y, const char * str, unsigned int color);
void printfs(const char *format, ...);
void setbgColor(uint16 _bgColor);
void clearScreen (uint16* GFX, const uint16 color);
void clearRect (uint16* GFX, int x1, int y1, int x2, int y2, const uint16 color);
int getStringWidth (const char *str);
int getBigStringWidth (const char *str);


#endif /*FONTS_H_*/
